"""
We do not need to run predictions on the sections apart from the article content,
such as Referenes, See also, Citations, etc.
Below we define a list of section titles that are skipped in the inference per language.
We used the database by the content translation to map section titles:
https://github.com/santhoshtr/cxsectiontitlemapping
"""

lang_sections_to_skip = {
    "af": [
        "notas en verwysings",
        "verwysings",
        "verwysings en bronne",
        "verdere leesstof",
        "bronne",
        "verwysings en aantekeninge",
        "aangehaalde werke",
        "sien ook",
        "aanhalings",
        "notas",
        "eksterne skakels",
        "bibliografie",
    ],
    "an": ["referencias"],
    "ar": [
        "المصادر والروابط الخارجية",
        "استشهد",
        "انظر أيضا",
        "وصلات خارجية",
        "المراجع",
        "روابط خارجية و مراجع",
        "المصادر",
        "مراجع وملاحظات",
        "المصادر والمراجع",
        "مراجع وكتب لمزيد من القراءة",
        "مزيد من القراءة",
        "مراجع",
        "للاطلاع",
        "قراءة متعمقة",
    ],
    "ast": ["bibliografía", "referencies", "enllaces esternos", "ver tamién"],
    "azb": ["قایناقلار", "قایناق", "بلیرتی"],
    "az": [
        "həmçinin bax",
        "əlavə mənbələr",
        "qeydlər",
        "i̇stinadlar",
        "xarici keçidlər",
        "mənbələr",
        "qeydlər və i̇stinadlar",
        "əlavə oxumaq üçün",
    ],
    "bar": ["beleg", "schau aa", "exteane vaweiss", "notizn", "litratua"],
    "ba": ["һылтанмалар", "иҫкәрмәләр", "шулай уҡ ҡарағыҙ"],
    "be": ["гл. таксама", "літаратура", "спасылкі", "зноскі"],
    "bg": [
        "външни препратки",
        "източници",
        "библиография",
        "вижте също",
        "литература",
        "бележки",
        "хранителни източници",
    ],
    "bn": [
        "টীকা",
        "গ্রন্থপঞ্জি",
        "তথ্যসূত্র",
        "আরও পড়ুন",
        "আরও দেখুন",
        "উৎস এবং পাদটীকা",
        "বহিঃসংযোগ",
        "উদ্ধৃত কাজ",
        "বহিঃসংযোগ ও তথ্যসূত্র",
        "আরও তথ্যসূত্র",
        "উৎস",
    ],
    "bpy": [],
    "br": ["daveennoù", "liammoù diavaez"],
    "bs": [
        "bibliografija",
        "vanjski linkovi",
        "bilješke",
        "reference",
        "također pogledajte",
        "literatura",
    ],
    "ca": [
        "enllaços externs",
        "vegeu també",
        "obres",
        "fonts i referències",
        "bibliografia",
        "referències",
    ],
    "ceb": ["ang mga pakisayran", "mga sumpay sa gawas", "mga nota"],
    "ce": [],
    "cs": [
        "zdroje",
        "související články",
        "externí odkazy",
        "odkazy a poznámky",
        "zdroje a poznámky",
        "reference",
        "literatura",
    ],
    "cv": [],
    "cy": [
        "darllen pellach",
        "cyfeiriadau",
        "ffynonellau",
        "dolenni allanol",
        "gweler hefyd",
        "llyfryddiaeth",
        "cyfeirnodau",
    ],
    "da": [
        "se også",
        "litteratur",
        "referencer",
        "eksterne henvisninger",
        "kilder og henvisninger",
    ],
    "de": [
        "literatur",
        "weblinks",
        "siehe auch",
        "einzelnachweise",
        "externe links",
        "einzelnachweise und quellen",
        "zitate",
        "quellen",
        "fussnoten",
        "anmerkungen",
    ],
    "el": [
        "παραπομπέσ",
        "πηγέσ και εξωτερικοί συνδέσεισ",
        "εξωτερικέσ πηγέσ",
        "βιβλιογραφία",
        "δείτε επίσησ",
        "πηγέσ",
        "εξωτερικοί σύνδεσμοι",
        "περαιτέρω ανάγνωση",
    ],
    "en": [
        "references",
        "see also",
        "external links",
        "further reading",
        "notes",
        "additional sources",
        "sources",
        "bibliography",
        "general and cited references",
        "citations",
        "works cited",
        "notes and references",
        "footnotesreferences and external links",
        "references and notes",
        "references and sources",
        "footnotes and references",
        "references and footnotes",
        "further references",
        "notes, references and sources",
        "references and further reading",
        "references and bibliography",
        "external links and references",
        "citations and references",
        "sources and references",
        "cited references",
        "notes and citations",
        "further readings",
        "sources and further reading",
        "cited works and further reading",
        "reference and further reading",
        "further reading and external links",
        "cited bibliography",
        "sources and notes",
        "notes and sources",
        "sources and external links",
        "external links and additional sources",
        "external links and sources",
        "external links / sources",
    ],
    "es": [
        "enlaces externos",
        "fuentes",
        "referencias",
        "véase también",
        "bibliografía",
        "fuentes y referencias",
        "notas al pie y referencias",
        "lectura y enlaces externos",
        "notas",
        "nota",
    ],
    "et": ["kirjandus", "välislingid", "bibliograafia", "viited", "vaata ka"],
    "eu": [
        "oharrak eta erreferentziak",
        "lanak",
        "kanpo estekak",
        "ikus, gainera",
        "bibliografia",
        "erreferentziak eta iturriak",
        "erreferentziak",
        "iturriak",
    ],
    "fa": [
        "مطالعه بیشتر",
        "کتابشناسی",
        "جستارهای وابسته",
        "سایر منابع",
        "پیوند به بیرون",
        "پیوندها و منابع",
        "منابع و مطالعهٔ بیشتر",
        "منابع و یادداشت\u200cها",
        "مطالعه بیش\u200cتر",
        "پیوندهای خارجی",
        "پانویس",
        "منابع",
    ],
    "fi": [
        "lainaukset",
        "viitteet",
        "aiheesta muualla",
        "kirjallisuutta",
        "siteeraukset",
        "lähteet",
        "katso myös",
    ],
    "fr": [
        "sources et notes",
        "références",
        "sources supplémentaires",
        "liens externes",
        "voir aussi",
        "bibliographie",
        "notes et références",
        "notes",
        "sources",
        "ouvrages utilisés",
    ],
    "fy": ["referinsjes", "keppelingen om útens"],
    "ga": [
        "tuilleadh léitheoireachta",
        "nótaí",
        "naisc sheachtracha",
        "tagairtí",
        "leabharliosta",
        "féach freisin",
        "luanna",
    ],
    "gl": ["notas", "obra", "bibliografía", "véxase tamén"],
    "gu": [
        "નોંધ અને સંદર્ભ",
        "પુસ્તકો",
        "બાહ્ય કડીઓ",
        "વધુ વાચન",
        "ટાંકવામાં આવેલા ગ્રંથો",
        "નોંધ",
        "આ પણ જુઓ",
        "સંદર્ભો",
        "સ્ત્રોત અને બાહ્ય કડીઓ",
        "સંદર્ભ",
        "સ્રોત",
    ],
    "he": [
        "לקריאה נוספת",
        "ראו גם",
        "קישורים חיצוניים",
        "מקורות והערות שוליים",
        "המאמרים המצוטטים ביותר",
        "הערות שוליים",
    ],
    "hi": [
        "सन्दर्भ",
        "टिप्पणी और संदर्भ",
        "सूत्रों और बाहरी लिंक",
        "बाहरी कड़ियाँ",
        "इन्हें भी देखें",
        "सूत्र",
        "उद्धृत कार्य",
        "आगे की पढ़ाई",
        "पुस्तक सूची",
        "उद्धरण",
        "टिप्पणियाँ",
    ],
    "hr": [
        "bibliografija",
        "vanjske poveznice",
        "izvori",
        "poveznice",
        "bilješke i izvori",
        "literatura",
    ],
    "ht": ["referans", "lyen deyò"],
    "hu": [
        "idézetek",
        "külső hivatkozások",
        "kapcsolódó szócikkek",
        "jegyzetek",
        "megjegyzések és külső hivatkozások",
        "irodalom",
        "források",
        "bibliográfia",
    ],
    "hy": [
        "ցիտատներ",
        "նշումներ եւ ծանոթագրություններ",
        "նշումներ",
        "արտաքին հղումներ",
        "գրականություն",
        "մատենագրություն",
        "ծանոթագրություններ",
        "տես նաեւ",
        "աղբյուրներ",
    ],
    "id": [
        "bibliografi",
        "referensi",
        "referensi dan sumber",
        "pranala luar",
        "sumber",
        "lihat pula",
        "referensi dan bacaan lanjutan",
        "catatan",
        "karya yang dikutip",
        "kutipan",
        "sumber dan catatan kaki",
        "pustaka tambahan",
        "catatan dan sumber",
    ],
    "io": ["plusa lekto", "anke videz", "externa ligili", "referi", "noti"],
    "is": [
        "heimildir",
        "sjá einnig",
        "tengdar vefsíður",
        "heimilidir",
        "neðanmálsgreinar",
    ],
    "it": [
        "bibliografia",
        "collegamenti esterni",
        "note",
        "voci correlate",
        "altri progetti",
    ],
    "ja": [
        "関連文献",
        "注釈と引用",
        "発展資料",
        "外部リンク",
        "出典",
        "参考文献",
        "関連項目",
        "脚注",
    ],
    "jv": [
        "bibliografi",
        "réferènsi",
        "waca uga",
        "cathetan lan rujukan",
        "sumber",
        "pranala njaba",
        "cathetan",
        "rujukan",
        "sitasi",
    ],
    "ka": ["ლიტერატურა", "იხილეთ აგრეთვე", "სქოლიო", "რესურსები ინტერნეტში"],
    "kk": [
        "дереккөздер",
        "сілтемелер",
        "қосымша оқу",
        "сыртқы сілтемелер",
        "сондай-ақ",
        "тағы қараңыз",
        "фотосуреттер",
        "қолданылған әдебиеттер",
        "әдебиеттер",
    ],
    "kn": [
        "ಇವುಗಳನ್ನು ಸಹ ನೋಡಿ",
        "ಗ್ರಂಥಸೂಚಿ",
        "ಮೂಲಗಳು",
        "ಹೊರಗಿನ ಕೊಂಡಿಗಳು",
        "ಟಿಪ್ಪಣಿಗಳು",
        "ಉಲ್ಲೇಖಗಳು",
        "ಹೆಚ್ಚಿನ ಓದಿಗೆ",
    ],
    "ko": [
        "외부 링크",
        "참고",
        "내용주",
        "같이 보기",
        "참고 문헌",
        "인용",
        "참고문헌",
        "각주",
        "인용 작품 및 추가 읽기",
    ],
    "ky": ["шилтемелер", "дагы караңыз", "библиография", "эскермелер"],
    "la": [
        "notae",
        "nexus externi",
        "bibliography",
        "vide etiam",
        "bibliographia",
        "index operum selectorum",
        "nota",
    ],
    "lb": ["d'referenzen"],
    "lmo": ["link esterno", "riferimenti"],
    "lt": [
        "papildoma literatūra",
        "bibliografija",
        "nuorodos",
        "taip pat žiūrėkite",
        "šaltiniai",
    ],
    "lv": [
        "atsauces",
        "hārdija bibliogrāfija",
        "ārējās saites",
        "skatīt arī",
        "turpmākai lasīšanai",
        "avoti",
    ],
    "mg": ["marika", "jereo koa", "tsiahy"],
    "min": [
        "rujuakan",
        "bacoan lanjutan",
        "sumber",
        "bahan bacoan",
        "catatan",
        "caliak pulo",
        "pautan lua",
        "catatan kaki",
    ],
    "mk": [
        "белешки и наводи",
        "поврзано",
        "надворешни врски",
        "литература",
        "наводи и фусноти",
        "наводи",
        "извори",
        "белешки, наводи и извори",
    ],
    "ml": [
        "ഗ്രന്ഥസൂചി",
        "കൂടുതൽ വായനയ്ക്ക്",
        "ഇതും കാണുക",
        "പുറത്തേക്കുള്ള കണ്ണികൾ",
        "അംഗീകൃത അവലംബങ്ങൾ",
        "കുറിപ്പുകൾ",
        "അവലംബങ്ങൾ",
        "സ്രോതസ്സുകൾ",
        "അവലംബങ്ങളും കുറിപ്പുകളും",
        "അവലംബം",
    ],
    "mn": ["эшлэл", "холбоотой мэдээлэл", "цааш уншваас..."],
    "mr": [
        "टिपा व संदर्भ",
        "अधिक वाचन",
        "बाह्य दुवा",
        "हे सुद्धा पहा",
        "स्रोत",
        "संदर्भ",
    ],
    "ms": [
        "bibliografi",
        "rujukan dan bacaan lanjut",
        "petikan karya dan bacaan lanjut",
        "sumber",
        "karya dipetik",
        "rujukan lanjut",
        "lihat juga",
        "petikan",
        "catatan",
        "pautan luar",
        "sumber-sum",
        "bacaan lanjut",
        "rujukan",
    ],
    "my": [
        "ပြင်ပလင့်များ",
        "နောက်ထပ်ဖတ်ရန်",
        "စာစုစာရင်း",
        "ဆက်စပ်ကြည့်ရှုရန်",
        "ကိုးကား",
        "အကိုးအကားနှင့် မှတ်စုများ",
        "ရင်းမြစ်များ",
    ],
    "nds_nl": [],
    "ne": ["बाह्य लिङ्कहरू", "सन्दर्भ", "नोट्स", "यो पनि हेर्नुहोस्"],
    "new": ["बाह्य लिंकहरू", "स्वयादिसँ", "लिधंसा"],
    "nl": [
        "zie ook",
        "bronnen",
        "referenties",
        "noten",
        "literatuur",
        "externe links",
        "bibliografie",
    ],
    "nn": [
        "bibliografi",
        "sjå òg",
        "referansar",
        "litteratur",
        "kjelder",
        "opphav",
        "bakgrunnsstoff",
    ],
    "no": ["referanser"],
    "oc": [
        "òbras citadas",
        "referéncias",
        "notas e referéncia",
        "citacions",
        "ligams extèrnes",
        "fonts",
        "vejatz tanben",
        "notas",
        "bibliografia",
    ],
    "pa": [
        "ਟਿੱਪਣੀਆਂ ਤੇ ਪਾਠ",
        "ਬਾਹਰੀ ਕੜੀਆਂ",
        "ਸਰੋਤ",
        "ਹਵਾਲੇ",
        "ਇਹ ਵੀ ਪੜ੍ਹੋ",
        "ਹਵਾਲੇ ਅਤੇ ਨੋਟ",
        "ਕਾਰਜੀ ਹਵਾਲੇ",
        "ਹੋਰ ਪੜ੍ਹੋ",
        "ਪੁਸਤਕ ਸੂਚੀ",
        "ਬਾਹਰੀ ਲਿੰਕ",
        "ਇਹ ਵੀ ਦੇਖੋ",
    ],
    "pl": [
        "zobacz też",
        "przypisy",
        "cytowane prace",
        "bibliografia",
        "linki zewnętrzne",
        "źródła",
        "uwagi",
    ],
    "pms": [],
    "pnb": ["ہور ویکھو", "حوالے", "باہرلے جوڑ"],
    "pt": [
        "referências",
        "notas e citaçõe",
        "leitura complementar",
        "fontes e ligações externas",
        "ligações externas",
        "links externos e fontes adicionais",
        "ver também",
        "referências e fontes",
        "notas e fontes",
        "fontes adicionais",
        "referências e notas",
        "bibliografia",
        "notas",
    ],
    "ro": [
        "note și referințe",
        "legături externe și referințe",
        "scrieri",
        "alte referințe",
        "note",
        "vezi și",
        "surse",
        "lectură suplimentară",
        "bibliografie",
        "legături externe",
    ],
    "ru": [
        "примечания",
        "библиография",
        "дополнительная литература",
        "литература",
        "см. также",
        "источники и ссылки",
        "примечания и литература",
        "ссылки",
        "источники и литература",
        "источники",
        "сноски",
    ],
    "scn": ["liami di fora"],
    "sco": [
        "fremmit airtins",
        "forder readin",
        "soorces",
        "soorces an ootbye airtins",
        "bibleeographie",
        "see awso",
    ],
    "sh": ["spoljašnje veze", "bibliografija", "reference", "vidi također", "beleške"],
    "sk": ["zdroje", "pozri aj", "ďalšie čítanie", "externé odkazy", "referencie"],
    "sl": [
        "citati",
        "sklici in viri",
        "nadaljnje branje",
        "zunanje povezave",
        "opombe",
        "sklici",
        "glej tudi",
        "dodatni viri",
        "viri",
        "reference",
        "citirana bibliografija",
        "opombe in viri",
    ],
    "sq": [
        "citime",
        "shënime",
        "referimet",
        "referime",
        "lidhje të jashtme",
        "shënime dhe citime",
        "shiko edhe",
        "referenca dhe shënime",
        "bibliografia",
        "burimet",
        "literatura",
    ],
    "sr": ["референце", "види још", "спољашње везе", "литература"],
    "su": [
        "bacaeun salajengna",
        "cutatan",
        "tutumbu luar",
        "bacaeun",
        "tempo ogé",
        "rujukan",
    ],
    "sv": [
        "bibliografi",
        "källor",
        "se även",
        "fortsatt läsning",
        "citat",
        "externa länkar",
        "referenser",
    ],
    "sw": [
        "vitabu",
        "marejeleo",
        "viungo vya nje",
        "kujisomea",
        "tazama pia",
        "marejeo",
    ],
    "ta": [
        "வெளி இணைப்புகள் மற்றும் குறிப்புகள்",
        "மேலும் படிக்க",
        "குறிப்பிடப்பட்ட மேற்கோள்கள்",
        "மேற்கோள்கள்",
        "மேற்கோள்கள்",
        "மேலும் காண்க",
        "ஆதாரங்கள்",
        "நூற்பட்டியல்",
        "குறிப்புகள்",
        "வெளி இணைப்புகள்",
    ],
    "te": [
        "ఇవి కూడా చూడండి",
        "నోట్స్",
        "వనరులు",
        "మరింత చదవడానికి",
        "ఇతర లంకెలు",
        "గ్రంథ పట్టిక",
        "మూలాలు",
    ],
    "tg": [
        "адабиёт",
        "адабиёти иловагӣ",
        "ҳамчунин нигаред",
        "манбаъ",
        "эзоҳ",
        "пайвандҳо",
    ],
    "th": [
        "บรรณานุกรม",
        "แหล่งข้อมูลอื่น",
        "ดูเพิ่ม",
        "อ่านเพิ่ม",
        "บันทึก และ อ้างอิง",
        "อ้างอิงและหมายเหตุ",
        "อ้างอิง",
    ],
    "tl": [
        "mga sanggunian at panlabas na link",
        "sanggunian",
        "mga pagsipi",
        "mga kawing panlabas",
        "karagdagang pagbabasa",
        "mga tala",
        "mga pinagkuhanan",
        "mga tala at sanggunian",
        "mga sanggunian",
        "silipin din",
    ],
    "tr": [
        "ayrıca bakınız",
        "dış bağlantılar ve kaynakça",
        "i̇leri okuma",
        "kaynaklar ve i̇leri okuma",
        "kitap kaynakları",
        "bibliyografya",
        "dış bağlantılar",
        "alıntılar",
        "notlar",
        "i̇lave makaleler ve harici linkler",
        "kaynakça",
    ],
    "tt": [
        "шулай ук карагыз",
        "искәрмәләр",
        "чыганаклар",
        "өстәмә мәгълүмат",
        "беренчел чыганаклар һәм искәрмәләр",
        "тышкы сылтамалар",
    ],
    "uk": [
        "примітки",
        "бібліографія",
        "список джерел",
        "див. також",
        "джерела",
        "джерела і посилання",
        "література",
        "посилання",
        "цитовані роботи",
    ],
    "ur": [
        "کتابیات",
        "ذرائع اور مزید پڑھیں",
        "یہ بھی دیکھیں",
        "حوالہ جات اور حاشیے",
        "مزید پڑھیں",
        "حوالہ جات",
        "حوالہ جات اور مزید پڑھیں",
        "بیرونی روابط",
        "کام کا حوالہ",
        "حواشی",
        "ماخذ",
        "حوالہ جات اور ذرائع",
    ],
    "uz": [
        "izohlar",
        "manbalar",
        "bibliografiya",
        "shuningdek koʻrishingiz mumkin",
        "havolalar",
    ],
    "vi": [
        "tài liệu",
        "chú thích",
        "nguồn và liên kết ngoài",
        "xem thêm",
        "ghi chú và tham khảo",
        "tham khảo và chú thích",
        "liên kết tham khảo",
        "tham khảo và ghi chú",
        "thư mục tham khảo",
        "trích dẫn",
        "đọc thêm",
        "nguồn",
        "chú thích bổ sung",
        "liên kết ngoài",
        "tham khảo",
    ],
    "vo": ["tefs"],
    "war": [
        "mga sumpay ha gawas",
        "mga tigaman",
        "kitaa gihapon",
        "dugang nga barasahon",
        "bibliograpiya",
        "mga kasarigan nga mga tigaman",
        "mga kasarigan",
    ],
    "yo": [
        "ìwé àkàsíwájú si",
        "àwọn àkíyèsí",
        "àwọn ìtọ́kasí",
        "àwọn orísun",
        "àwọn ìwé ìtàn",
        "tún wo",
        "àwọn àkíyèsí àti ìtọ́kasí",
        "àwọn ìtakùn ìjásóde",
    ],
    "zh": [
        "注释和引文",
        "来源",
        "外部链接",
        "扩展阅读",
        "参考书目",
        "引用",
        "外部聯結",
        "注释",
        "参考文献和延伸阅读",
        "资源和外部链接",
        "参考文献",
        "参考资料",
        "延伸阅读",
        "参考来源",
        "参见",
        "外部链接和参考文献",
    ],
    "simple": [
        "citations",
        "other websites",
        "sources",
        "related pages",
        "references",
        "books and articles",
    ],
}
